commit 88a5f3cd1cebea8943e103718e8c058188716c3f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Aug 20 15:59:50 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 31f7fc35fa6c368d998ea177c5351504d368e1b6
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Tue Mar 22 14:52:31 2016 +0000

    Updated Italian translation

M	po/it.po

commit 49130566f49a1ea8e644f2efd46cf66ade601277
Author: Necdet Yücel <necdetyucel@gmail.com>
Date:	Sat Mar 19 12:51:24 2016 +0000

    Updated Turkish translation

M	po/tr.po

commit 94d69d1013650b4e0836520014ef04eddb498a59
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Fri Mar 4 02:59:34 2016 +0000

    build: Update autogen.sh from GNOME recommendation

    https://wiki.gnome.org/Projects/GnomeCommon/Migration#autogen.sh

    This fixes a srcdir ≠ builddir issue.

M	autogen.sh

commit fbe32634105a08cf9a46cec750d80b17d8b6e5ab
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Feb 5 20:20:55 2016 +0000

    Post-release version bump

M	NEWS
M	configure.ac

commit ef913b085bf30896f5b0e1877d82dacedac25a45
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Feb 5 20:19:43 2016 +0000

    Release version 0.1.7

M	NEWS

commit 8c7530a7584a0121723cb494a109d3a0e69c1891
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Thu Nov 19 22:07:38 2015 +0200

    Added Lithuanian translation

M	po/LINGUAS
A	po/lt.po

commit 49b298e83c79132cc3b4827bfc2e28253fd359b4
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Sat Sep 19 08:12:31 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit cc21415133a948511fea338f08de8d02d92ef248
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Sep 3 01:45:09 2015 +0200

    Updated Polish translation

M	po/pl.po

commit 61b9292ce4c24293fc91d0b1488f4cc6fa850565
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue Jun 9 13:37:45 2015 +0100

    Post-release version bump

M	NEWS
M	configure.ac

commit d1f515fe7fc7d30ea9d83efa036fbcbfa8c38f00
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue Jun 9 13:36:39 2015 +0100

    Release version 0.1.6

M	NEWS

commit c03184eb6445dbbb4398e5369e20b7e8c7ac8d35
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue Jun 9 13:32:28 2015 +0100

    build: Port from gnome-common macros to autoconf-archive ones

M	Makefile.am
M	configure.ac

commit f6ce2d160f77d8964379c5458aac3461dcf9911b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue Jun 9 13:31:51 2015 +0100

    build: Use AC_CHECK_LIBM to check for libm

M	Makefile.am
M	configure.ac

commit 735fbb14b601f2342dec5c4398d9bfc6b09696c3
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue Jun 9 13:31:27 2015 +0100

    build: Update ACLOCAL flags

M	Makefile.am
M	configure.ac

commit cd89454afd803bcde1e1527929e2d0f5caaabe7f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue Jun 9 13:28:16 2015 +0100

    build: Update autogen.sh to drop unnecessary use of gnome-autogen

    https://wiki.gnome.org/Projects/GnomeCommon/Migration

M	autogen.sh

commit 983b90bbbbd6de147b182aad531941b236051a21
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue Jun 9 13:27:36 2015 +0100

    build: Use AX_GENERATE_CHANGELOG to generate the ChangeLog

    http://www.gnu.org/software/autoconf-archive/ax_generate_changelog.html

A	ChangeLog
M	Makefile.am
M	configure.ac

commit 25c689462a6a97fc1a2d5fb4f22f7c1275f8b2e1
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue Jun 9 12:34:59 2015 +0100

    core: Fix a potential assertion failure on an error handling path

    If the enumeration loop iterates one or more times and chooses an
    interesting_file, then encounters an error getting some file
    information
    (which can happen part-way through enumeration with
    GLocalFileEnumerator), it will throw an error. The error code
    previously
    ignored existing interesting_files, and hence tripped the
    post-condition
    assertion (child_error == NULL || interesting_file_info == NULL).

    Fix that by ignoring errors if an interesting_file has already been
    found.

    https://retrace.fedoraproject.org/faf/problems/bthash/?bth=7c8a254ad589f1636cfc57d2921f51afba080609

M	src/main.c

commit caf3fd757dbaff36f6336d173c06c1c798039809
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Tue Jun 9 12:34:30 2015 +0100

    core: Fix a memory leak in a debug message print

M	src/main.c

commit 6c5c60344803cc538ed22177fb734e1e48bdd8d9
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Thu May 28 21:25:17 2015 +0000

    Added Swedish translation

M	po/LINGUAS
A	po/sv.po

commit 30530f2671cb66842a060922a007060a3b3c3c89
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Sat May 23 11:11:49 2015 +0000

    Added Occitan translation

M	po/LINGUAS
A	po/oc.po

commit c64bf49144e3aa490231717509bf68022de249c6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Mon Apr 13 23:39:10 2015 +0100

    Post-release version bump

M	NEWS
M	configure.ac

commit 1833e7b6063719d0f9a7485482d68135630d7874
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Mon Apr 13 23:38:03 2015 +0100

    Release version 0.1.5

M	NEWS

commit ff78f4b6a5f14be8d225ecde61b1b904c6a38a77
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Fri Mar 27 08:36:52 2015 +0000

    Added Italian translation

M	po/LINGUAS
A	po/it.po

commit 5d9223593014e35be7707b8e04561b1ab85f68af
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	Fri Mar 13 23:36:52 2015 +0000

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit e8cb3ee6be4efbef0d20b9efc69e583ea4dbb02f
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Wed Mar 11 08:59:27 2015 +0000

    Added Slovak translation

M	po/LINGUAS
A	po/sk.po

commit dc2c1e70baa60166424abf51da43fefe287c39ca
Author: Stas Solovey <whats_up@tut.by>
Date:	Fri Mar 6 09:27:04 2015 +0000

    Added Russian translation

M	po/LINGUAS
A	po/ru.po

commit 35090610d60080b62621a91d144cfcb61146c4f2
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Tue Feb 17 09:50:14 2015 +0000

    Added Turkish translation

M	po/LINGUAS
A	po/tr.po

commit 1754bb7cab121e4bd1f98284379d0130b907ac74
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Sun Jan 25 11:09:37 2015 +0000

    Post-release version bump

M	NEWS
M	configure.ac

commit d7739b94be06e4ef6662a7c1a7043b8cdf226746
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Sun Jan 25 11:07:58 2015 +0000

    Release version 0.1.4

M	NEWS

commit 625629693f9cf037bfba3fbc83dc31fdace67e98
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Sun Jan 25 09:51:59 2015 +0000

    docs: Add a note about uninstallation to the README

    If you uninstall, you should clear your thumbnail cache, or you will
    retain stale directory thumbnails.

M	README

commit da1b6361bdbda27fa48200c6abf72dcf9510f855
Author: Andika Triwidada <andika@gmail.com>
Date:	Sat Oct 11 09:33:57 2014 +0000

    Added Indonesian translation

M	po/LINGUAS
A	po/id.po

commit 3bd0bc4e37b7a35529acd34d95aff95274325791
Author: Alain Lojewski <allomervan@gmail.com>
Date:	Sun Aug 31 20:31:06 2014 +0000

    Added French translation

M	po/LINGUAS
A	po/fr.po

commit e0dd55a7db6e957e5ec1c763d3c8ee9ed59dcc98
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Tue May 27 21:24:40 2014 +0100

    Post-release version bump

M	NEWS
M	configure.ac

commit c6879dcfa3617928c77ffb518880721e6c51a7cc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Tue May 27 21:23:11 2014 +0100

    Release version 0.1.3

M	NEWS

commit 46bf5d8208fa4e70c8af390e74917cca70a31441
Author: Tiago S <almosthumane@portugalmail.pt>
Date:	Mon Apr 7 22:05:07 2014 +0000

    Added Portuguese translation

M	po/LINGUAS
A	po/pt.po

commit e3d03dd5e98f01b22c2200f6235c3d47838e8f80
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Mar 22 08:27:41 2014 +0100

    Updated Slovenian translation

M	po/sl.po

commit 79dd899a7e605b189475c354f388b59b80732aab
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Mon Feb 24 18:02:06 2014 +0000

    Post-release version bump

M	NEWS
M	configure.ac

commit 231f615bc962338412607d23958af2eebc917e82
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Mon Feb 24 18:00:50 2014 +0000

    Release version 0.1.2

M	NEWS

commit eac3b566abbe7251555fb2a01173ff61f7ae5480
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Wed Jan 29 11:20:00 2014 +0100

    Added Serbian translation

M	po/LINGUAS
A	po/sr.po
A	po/sr@latin.po

commit 51d377d687360a9f91d1952237357dd44a3c34e6
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:	Sun Jan 26 17:56:41 2014 +0100

    Added German translation

M	po/LINGUAS
A	po/de.po

commit e81775a5e8e074260efcc6de066c1b3b0ceafdbd
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Mon Jan 20 08:41:42 2014 +0200

    Added Greek translation

M	po/LINGUAS
A	po/el.po

commit de46a6290b63a4bdc5929cdca519fad0f017e15c
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Dec 9 14:06:06 2013 +0100

    Czech translation

A	po/cs.po

commit 6697ea0e6a0a8a64b22617cbccc4aa46f1856081
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Dec 9 14:05:52 2013 +0100

    Added Czech language

M	po/LINGUAS

commit 8afbfa4fbf90347f63c74f79feb2f46457d407c7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Mon Dec 2 22:21:07 2013 +0000

    docs: Update gnome-directory-thumbnailer website

    Now: https://wiki.gnome.org/Projects/GnomeDirectoryThumbnailer

M	HACKING
M	README
M	configure.ac
M	gnome-directory-thumbnailer.doap

commit 24d0629d9defe314a06960daa2ee66f3b7395f98
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Nov 20 14:18:13 2013 +0100

    Added Spanish translation

M	po/LINGUAS
A	po/es.po

commit 6beb41456af984fa71477e971e0ea25645ab948c
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Mon Nov 18 17:19:33 2013 +0100

    Initial Hungarian translation

A	po/hu.po

commit 17e1cc9590e006f180ecda5b7df8672de2b26689
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Mon Nov 18 17:12:14 2013 +0100

    Added hu entry

M	po/LINGUAS

commit 1265f3c69368af14d37bcccab87907e7dbdd0dff
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Nov 8 10:27:32 2013 +0000

    docs: Update DOAP file to add extra metadata

    Bug database, download page, etc.

M	gnome-directory-thumbnailer.doap

commit 25a9daf1511e4249cd1bf0fd60cfcee2554934e0
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Nov 8 10:25:02 2013 +0000

    Post-release version bump

M	NEWS
M	configure.ac

commit 96f69cf01d3f8f40f9811ffdcc57dcc08c7b7bc3
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Nov 8 10:23:56 2013 +0000

    Release version 0.1.0

M	NEWS
M	configure.ac

commit 3f57dd1e99103e4ff39e9c906c1971791a835d9d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Nov 2 11:56:16 2013 +0100

    Added sl for Slovenian translation

M	po/LINGUAS

commit 2d84b3522cd81f1952b1e0587d30be05f6ad5e12
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Nov 2 11:56:07 2013 +0100

    Added Slovenian translation

A	po/sl.po

commit d9ddab2fb20bdc991cb187100f97bb212f81a8fc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Oct 23 23:29:41 2013 +0200

    Fix LINGUAS

M	po/LINGUAS

commit f5ce440fcd30dfedc0a9fb6c04c8d8bda9aed734
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Wed Oct 23 14:42:35 2013 -0200

    Updated Brazilian Portuguese translation

M	po/LINGUAS
A	po/pt_BR.po

commit 9ee1cdbfc5a908ee9af31a6d45861bbe2a8cd2fc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Oct 23 18:05:22 2013 +0200

    Added Polish translation

M	po/LINGUAS
A	po/pl.po

commit b410aed27bbb01e2ce52edc90a5c7e5f4a3abbf6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Mon Oct 21 16:05:50 2013 +0100

    core: Turn --show-overlay on by default in the .thumbnailer file

    Because it’s useful.

M	src/gnome-directory-thumbnailer.thumbnailer

commit 33f9297e4fe6922c9d13e345ac78b290f37bb087
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Mon Oct 21 16:05:03 2013 +0100

    core: Add a --show-overlay option to show a ‘folder’ overlay
    on thumbnails

    This overlays the standard GNOME folder icon on the generated
    thumbnails,
    which can help differentiate folder thumbnails from other files in
    the same
    parent folder.

M	configure.ac
M	src/main.c

commit d569364a8f2b86fe258f6dcb3ff9d2d6525ecbb9
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Wed Oct 16 11:52:27 2013 +0100

    docs: Update web page and bug links for GNOME infrastructure

M	README
M	configure.ac

commit 5fc3d614370b051009440ffdae0319db882fa963
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Mon Oct 14 11:30:12 2013 +0100

    Release version 0.1.0

M	NEWS

commit 72b07bc2757908dff120f10786b3a328c0b800a6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Mon Oct 14 11:22:35 2013 +0100

    build: Switch to .tar.xz distribution tarballs

M	configure.ac

commit bc5af749d5ee551af46e2a41280eacce3601c12a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 15:13:15 2013 +0100

    build: Relicence to LGPLv2.1+

    Let’s be a little more permissive. I’m the only author so far,
    so no
    permission needed to be sought from other contributors.

M	COPYING
M	README
M	src/main.c

commit fd2d8fcac99634773ff31e9dd40e9a378caa76dd
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 13:29:24 2013 +0100

    build: Fix ChangeLog generation

M	Makefile.am

commit 148d5ff7ea43191ade10567319be9c4f8410cfc4
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 13:29:03 2013 +0100

    build: Ensure .thumbnailer file is distributed

    This fixes `make distcheck`.

M	Makefile.am

commit df139257a4e7625fce9249378746cc97dce9c27a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 13:20:54 2013 +0100

    heuristics: Favour image files over other types of file

    This fixes the situation where one of the album-art-less MP3s in
    an album
    folder gets chosen over the album art image file.

M	src/main.c

commit 7e90c9c9ecd9c9a32deb9e8222eecc709ee6eaa0
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 13:07:13 2013 +0100

    core: Implement a hard limit on recursion via subprocesses

    If a chain of subdirectories exist, each of which are the most
    interesting
    child of their parent directory, GnomeDesktopThumbnailFactory will
    unavoidably spawn a series of gnome-directory-thumbnailer
    subprocesses. It’s
    possible to encounter a directory loop (e.g. via a bind mount to
    a parent
    directory), so this commit implements a hard limit on the recursion
    depth to
    avoid infinite loops of subprocesses.

    This is implemented using a
    GNOME_DIRECTORY_THUMBNAILER_RECURSION_LIMIT
    environment variable which is decremented for each subprocess.

M	src/main.c

commit a980c8617bbfd2787d940b13460a18d9a5c8eb21
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 11:35:47 2013 +0100

    core: Tidy up memory handling and fix a double-unref

    This makes the memory handling a little cleaner.

M	src/main.c

commit 022514a14c97a546312d6c3c79322c25f517d341
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 09:25:49 2013 +0100

    heuristics: Weight files with a valid failed thumbnail a lot less

    This should prevent us picking an un-thumbnailable file to represent
    its
    directory.

M	src/main.c

commit aebb4acf5a4d9080802546e564b34a0dff16f14a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 09:22:06 2013 +0100

    docs: Add a note about commit messages for heuristic changes

M	HACKING

commit 8102fff5102e6f7eb09ca0260e8db64588737722
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 09:20:51 2013 +0100

    heuristics: Weight subdirectories much lower than files

    This should fix the situation where a hidden image file is less
    interesting
    than an empty subdirectory.

M	src/main.c

commit b6061d7787d175934af1121dcc8833934dbf0edf
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Fri Oct 11 09:20:20 2013 +0100

    core: Fix behaviour of MAX_FILE_INTERESTINGNESS

    Its maximum wasn’t set correctly, and wasn’t being compared to
    correctly either.

M	src/main.c

commit 628d9d62f5b10250ee06838b3df8d67cffc075e2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:	Thu Oct 10 15:47:42 2013 +0100

    core: Initial commit

    This implements the thumbnailer, complete with documentation and a
    basic set
    of heuristics which should work on generic directories.

    More work can be done on:
     • Adding a test suite.
     • Improving the heuristics to choose better files to represent
     their
       directory.

A	AUTHORS
A	COPYING
A	HACKING
A	MAINTAINERS
A	Makefile.am
A	NEWS
A	README
A	autogen.sh
A	configure.ac
A	git.mk
A	gnome-directory-thumbnailer.doap
A	po/LINGUAS
A	po/POTFILES.in
A	src/gnome-directory-thumbnailer.thumbnailer
A	src/main.c
